Create a new Big Table, define its structure, and (optionally) populate it with data.Row IDs for any added rows are returned in the response in the same order as the input row data is passed in the request. Row data may be passed in JSON, CSV, or TSV format.When using a CSV or TSV request body, the name of the table must be passed as a query parameter and the schema of the table is always inferred from the content. Alternatively, the CSV/TSV content may be stashed, and then the schema and name may be passed in the regular JSON payload.If a schema is passed in the payload, any passed row data must match that schema. If a column is not included in the passed row data, it will be empty in the added row. If a column is passed that does not exist in the schema, or with a value that does not match the column’s type, the default behavior is for the table to not be created and the API call to return an error. However, you can control this behavior with the onSchemaError query parameter.
If you want to create a table and populate it with an initial dataset, you can do so by providing the data inline in the rows field (being sure that row object structure matches the table schema):
However, this is only appropriate for relatively small initial datasets (around a few hundred rows or less, depending on schema complexity). If you need to work with a larger dataset you should utilize stashing.
Create Table from Stash
Stashing is our process for handling the upload of large datasets. Break down your dataset into smaller, more manageable, pieces and upload them to a single stash ID.Then, to create a table from a stash, you can use the $stashID reference in the rows field instead of providing the data inline:
Allow asynchronous processing, which will return a job ID. Note that this does not force asynchronouys processing. The caller must handle both synchronous and asynchronous responses.
Name of the table. Required when the name is not passed in the request body. It is an error to pass a name in both this query parameter and the request body.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Glide API Docs","colors":{"primary":"#18BED4","light":"#B7B2F0","dark":"#18BED4"},"favicon":"/logo/favicon.svg","api":{"openapi":"openapi/swagger.json"},"navbar":{"links":[{"label":"Glide User Docs","href":"https://www.glideapps.com/docs"}],"primary":{"type":"button","label":"Open Glide","href":"https://go.glideapps.com"}},"footer":{"socials":{"youtube":"https://www.youtube.com/glideapps","x":"https://x.com/glideapps","github":"https://github.com/glideapps","linkedin":"https://www.linkedin.com/company/glideapps/"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"glide","hasAudioNarration":false,"actualSubdomain":"glide","customDomains":["apidocs.glideapps.com"],"gitSource":{"type":"github","owner":"glideapps","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c52b3f39494aa9ef0edd","collectionId":"570d6a24-7be4-4099-8283-8344482920dc","schemaVersion":"v2"},"feedback":{"thumbs":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a20c52b3f39494aa9ef0edd:success","clientVersion":"0.0.3965","searchFilterCounts":[{"language":"default","tag":"Tables","count":10},{"language":"default","tag":"General","count":4},{"language":"default","tag":"Stashing","count":3},{"language":"default","tag":"Resources","count":2},{"language":"default","tag":"Uploads","count":2},{"language":"default","tag":"Jobs","count":1},{"language":"default","tag":"Tutorials","count":1}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/v2/tables/post-tables","slug":"/api-reference/v2/tables/post-tables","pageMetadata":{"title":"Create Table","openapi":"post /tables","description":"Creates a new Big Table","href":"/api-reference/v2/tables/post-tables","hidden":false},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a new Big Table\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Heading}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Create a new Big Table, define its structure, and (optionally) populate it with data.`}),`\n`,_jsx(_components.p,{children:`Row IDs for any added rows are returned in the response in the same order as the input row data is passed in the request. Row data may be passed in JSON, CSV, or TSV format.`}),`\n`,_jsxs(_components.p,{children:[`When using a CSV or TSV request body, the name of the table must be passed as a query parameter and the schema of the table is always inferred from the content. Alternatively, the CSV/TSV content may be `,_jsx(_components.a,{href:`/api-reference/v2/stashing/introduction`,children:`stashed`}),`, and then the schema and name may be passed in the regular JSON payload.`]}),`\n`,_jsxs(_components.p,{children:[`If a schema is passed in the payload, any passed row data must match that schema. If a column is not included in the passed row data, it will be empty in the added row. If a column is passed that does not exist in the schema, or with a value that does not match the column’s type, the default behavior is for the table to not be created and the API call to `,_jsx(_components.a,{href:`/api-reference/v2/general/errors#invalid-row-data`,children:`return an error`}),`. However, you can control this behavior with the `,_jsx(_components.code,{children:`onSchemaError`}),` query parameter.`]}),`\n`,_jsx(Heading,{level:`2`,id:`examples`,children:`Examples`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`Create Table w/ Row Data`,id:`create-table-w-row-data`,children:[_jsxs(_components.p,{children:[`If you want to create a table and populate it with an initial dataset, you can do so by providing the data inline in the `,_jsx(_components.code,{children:`rows`}),` field (being sure that row object structure matches the table schema):`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`11`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Employees\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"schema\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`...`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rows\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fullName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Alex Bard\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ageInYears\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`30`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"hiredOn\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2021-07-03\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(_components.p,{children:`However, this is only appropriate for relatively small initial datasets (around a few hundred rows or less, depending on schema complexity). If you need to work with a larger dataset you should utilize stashing.`})]}),_jsxs(Accordion,{title:`Create Table from Stash`,id:`create-table-from-stash`,children:[_jsxs(_components.p,{children:[_jsx(_components.a,{href:`/api-reference/v2/stashing/introduction`,children:`Stashing`}),` is our process for handling the upload of large datasets. Break down your dataset into smaller, more manageable, pieces and `,_jsx(_components.a,{href:`/api-reference/v2/stashing/put-stashes-serial`,children:`upload them to a single stash ID`}),`.`]}),_jsxs(_components.p,{children:[`Then, to create a table from a stash, you can use the `,_jsx(_components.code,{children:`$stashID`}),` reference in the `,_jsx(_components.code,{children:`rows`}),` field instead of providing the data inline:`]}),_jsx(CodeBlock,{filename:``,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Employees\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"schema\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`...`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rows\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"$stashID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"20240215-job32\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Table","openapi":"post /tables","description":"Creates a new Big Table","href":"/api-reference/v2/tables/post-tables","hidden":false}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Examples","slug":"examples","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"responses":{"201":"5a9af6b8-214a-45e4-b9b9-fefacd668459","202":"e4f29bdc-07ab-4722-8112-d563c177c8e5","400":"32632891-bc6c-4510-be88-7448051baabf","402":"25135516-11a2-40ea-a9f1-23b796189644","422":"b73fa175-53bc-498b-8a4f-48de3f1768f3"},"parameters":["e945ce23-94d1-4ac8-b7b2-e95fdc11b058","b2917cc1-4596-471e-8e1e-b049c5bced7c","7040637d-3ebb-4e0a-b777-9ed097c207ec","32592509-994e-46fe-935c-136a49467b60"],"requestBody":"c52a5c3c-d7c1-47c6-a3e5-3725a8d7eb14","description":"Creates a new Big Table","method":"post","type":"path","servers":["427470dc-1a39-4627-ac56-a1bc52cf9977"],"security":["328590db-7bd8-408e-be5c-75e581b70302"],"path":"/tables","baseUrlOptions":["https://api.glideapps.com"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"e945ce23-94d1-4ac8-b7b2-e95fdc11b058":{"name":"x-glide-asynchronous","in":"header","schema":{"type":"string","enum":["true","false"],"description":"Allow asynchronous processing, which will return a job ID. Note that this does not force asynchronouys processing. The caller must handle both synchronous and asynchronous responses.","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"},"required":false},"b2917cc1-4596-471e-8e1e-b049c5bced7c":{"name":"name","in":"query","schema":{"type":"string","description":"Name of the table. Required when the name is not passed in the request body. It is an error to pass a name in both this query parameter and the request body.","example":"Invoices","isRequired":false,"uniqueKey":"","typeLabel":"string"},"required":false},"7040637d-3ebb-4e0a-b777-9ed097c207ec":{"name":"appsToLink","in":"query","schema":{"type":"array","items":{"type":"string","uniqueKey":"items.[INDEX]","typeLabel":"string"},"description":"An array of app IDs to link the new table to.","isRequired":false,"uniqueKey":"","typeLabel":"string[]"},"required":false},"32592509-994e-46fe-935c-136a49467b60":{"name":"onSchemaError","in":"query","schema":{"type":"string","enum":["abort","dropColumns","updateSchema"],"description":"The action to take when the passed data does not match the table schema:\n\n- `abort`: Abort the entire operation and return an error.\n- `dropColumns`: Ignore the data that caused the error, and do not import those columns in the affected rows.\n- `updateSchema`: Update the schema as needed to add any missing columns or widen the data types of existing columns, and then import the data from them.","example":"updateSchema","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"},"required":false}},"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"type":"object","required":["name","rows"],"properties":{"name":{"type":"string","description":"Name of the table, e.g., `Invoices`","example":"Invoices","isRequired":true,"uniqueKey":"oneOf.0.name","typeLabel":"string"},"rows":{"oneOf":[{"type":"array","items":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.0.rows.oneOf.0.items.[INDEX].additionalProperties","typeLabel":"any"},"description":"A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:\n\n```json\n{\n\t\"fullName\": \"Alex Bard\",\n\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\"totalAmount\": 34.50,\n\t\"amountPaid\": 0\n}\n```","example":{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},"uniqueKey":"oneOf.0.rows.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"A collection of row objects conforming to the schema of the table where keys are the column IDs and values are the column values:\n\n```json\n[\n\t{\n\t\t\"fullName\": \"Alex Bard\",\n\t\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\t\"totalAmount\": 34.50,\n\t\t\"amountPaid\": 0\n\t},\n\t{\n\t\t\"fullName\": \"Alicia Hines\",\n\t\t\"invoiceDate\": \"2023-06-15T10:30:00.000Z\",\n\t\t\"totalAmount\": 50.75,\n\t\t\"amountPaid\": 20\n\t}\n]\n```","example":[{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},{"fullName":"Alicia Hines","invoiceDate":"2023-06-15T10:30:00.000Z","totalAmount":50.75,"amountPaid":20}],"isRequired":true,"uniqueKey":"oneOf.0.rows.oneOf.0","typeLabel":"object[]"},{"type":"object","description":"A single reference to a [stash](/api-reference/v2/stashing) whose data should be used.","required":["$stashID"],"properties":{"$stashID":{"type":"string","pattern":"^[a-zA-Z0-9][a-zA-Z0-9_-]{0,255}$","description":"ID of the stash, e.g., `20240215-job32`","example":"20240215-job32","isRequired":true,"uniqueKey":"oneOf.0.rows.oneOf.1.$stashID","typeLabel":"string"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.rows.oneOf.1","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.rows","typeLabel":"object[] | object"},"schema":{"type":"object","properties":{"columns":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Internal ID of the column, e.g., `fullName`. This value cannot be changed once created.","example":"fullName","isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].id","typeLabel":"string"},"type":{"oneOf":[{"type":"string","description":"The type of the column.","enum":["string","uri","imageURI","audioURI","markdown","phoneNumber","emailAddress","emoji","date","time","dateTime","duration","number","boolean","json"],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"object","description":"The type of the column.","required":["kind"],"properties":{"kind":{"type":"string","enum":["string","uri","imageURI","audioURI","markdown","phoneNumber","emailAddress","emoji","date","time","dateTime","duration","number","boolean","json"],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.1.kind","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.1","typeLabel":"object"},{"type":"object","description":"The type of the column.","required":["kind","items"],"properties":{"kind":{"type":"string","enum":["array"],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.2.kind","typeLabel":"enum\u003cstring>"},"items":{"type":"object","properties":{"kind":{"type":"string","enum":["string","uri","imageURI","audioURI","markdown","phoneNumber","emailAddress","emoji","date","time","dateTime","duration","number","boolean","json"],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.2.\\items.kind","typeLabel":"enum\u003cstring>"}},"required":["kind"],"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.2.\\items","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type.oneOf.2","typeLabel":"object"}],"isRequired":true,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX].type","typeLabel":"enum\u003cstring> · object · object"},"displayName":{"type":"string","description":"Human-readable display name of the column, e.g., `Full Name`. Can be modified once created.","example":"Full Name","uniqueKey":"oneOf.0.schema.columns.items.[INDEX].displayName","typeLabel":"string"}},"required":["id","type"],"additionalProperties":false,"uniqueKey":"oneOf.0.schema.columns.items.[INDEX]","typeLabel":"object"},"description":"A collection of column definitions, in the order that they are to be displayed in the table.","isRequired":true,"uniqueKey":"oneOf.0.schema.columns","typeLabel":"object[]"}},"required":["columns"],"additionalProperties":false,"description":"The schema of the table as a collection of column definitions. If this is not provided, the schema will be inferred from the data.","example":{"columns":[{"id":"fullName","displayName":"Full Name","type":"string"},{"id":"invoiceDate","displayName":"Invoice Date","type":"dateTime"},{"id":"totalAmount","displayName":"Total","type":"number"},{"id":"amountPaid","displayName":"Paid","type":"number"}]},"uniqueKey":"oneOf.0.schema","typeLabel":"object"},"appsToLink":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.appsToLink.items.[INDEX]","typeLabel":"string"},"description":"An array of app IDs to link the new table to.","uniqueKey":"oneOf.0.appsToLink","typeLabel":"string[]"}},"additionalProperties":false,"uniqueKey":"oneOf.0","typeLabel":"object"},{"type":"array","items":{"type":"object","additionalProperties":{"oneOf":[{}],"uniqueKey":"oneOf.1.items.[INDEX].additionalProperties","typeLabel":"any"},"description":"A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:\n\n```json\n{\n\t\"fullName\": \"Alex Bard\",\n\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\"totalAmount\": 34.50,\n\t\"amountPaid\": 0\n}\n```","example":{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},"uniqueKey":"oneOf.1.items.[INDEX]","typeLabel":"object"},"description":"A collection of row objects conforming to the schema of the table where keys are the column IDs and values are the column values:\n\n```json\n[\n\t{\n\t\t\"fullName\": \"Alex Bard\",\n\t\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\t\"totalAmount\": 34.50,\n\t\t\"amountPaid\": 0\n\t},\n\t{\n\t\t\"fullName\": \"Alicia Hines\",\n\t\t\"invoiceDate\": \"2023-06-15T10:30:00.000Z\",\n\t\t\"totalAmount\": 50.75,\n\t\t\"amountPaid\": 20\n\t}\n]\n```","example":[{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},{"fullName":"Alicia Hines","invoiceDate":"2023-06-15T10:30:00.000Z","totalAmount":50.75,"amountPaid":20}],"uniqueKey":"oneOf.1","typeLabel":"object[]"}],"uniqueKey":"","typeLabel":"object | object[]"},"examples":{"Example":{"title":"Example","value":{"name":"Invoices","rows":[{"fullName":"Alex Bard","invoiceDate":"2024-07-29T14:04:15.561Z","totalAmount":34.5,"amountPaid":0},{"fullName":"Alicia Hines","invoiceDate":"2023-06-15T10:30:00.000Z","totalAmount":50.75,"amountPaid":20}],"schema":{"columns":[{"id":"fullName","displayName":"Full Name","type":"string"},{"id":"invoiceDate","displayName":"Invoice Date","type":"dateTime"},{"id":"totalAmount","displayName":"Total","type":"number"},{"id":"amountPaid","displayName":"Paid","type":"number"}]},"appsToLink":["\u003cstring>"]}}},"exampleType":"generated"},"text/csv":{"schema":{"type":"string","description":"A CSV string. The first line is column IDs, and each subsequent line is a row of data. The schema will be inferred from the data. The name of the table must be passed in the query parameter `name`.","example":"Name,Age,Birthday\nAlice,25,2024-08-29T09:46:16.722Z\nBob,30,2020-01-15T09:00:16.722Z","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Name,Age,Birthday\nAlice,25,2024-08-29T09:46:16.722Z\nBob,30,2020-01-15T09:00:16.722Z"}},"exampleType":"generated"},"text/tab-separated-values":{"schema":{"type":"string","description":"A TSV string. The first line is column IDs, and each subsequent line is a row of data. The schema will be inferred from the data. The name of the table must be passed in the query parameter `name`.","example":"Name\tAge\tBirthday\nAlice\t25\t2024-08-29T09:46:16.722Z\nBob\t30\t2020-01-15T09:00:16.722Z","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"Name\tAge\tBirthday\nAlice\t25\t2024-08-29T09:46:16.722Z\nBob\t30\t2020-01-15T09:00:16.722Z"}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"5a9af6b8-214a-45e4-b9b9-fefacd668459":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"tableID":{"type":"string","description":"ID of the table, e.g., `2a1bad8b-cf7c-44437-b8c1-e3782df6`","example":"2a1bad8b-cf7c-44437-b8c1-e3782df6","isRequired":true,"uniqueKey":"data.tableID","typeLabel":"string"},"rowIDs":{"type":"array","items":{"type":"string","description":"ID of the row, e.g., `zcJWnyI8Tbam21V34K8MNA`","example":"zcJWnyI8Tbam21V34K8MNA","uniqueKey":"data.rowIDs.items.[INDEX]","typeLabel":"string"},"description":"Row IDs of added rows, returned in the same order as the input rows, e.g., \n\n```json\n[\n\t\"zcJWnyI8Tbam21V34K8MNA\",\n\t\"93a19-cf7c-44437-b8c1-e9acbbb\"\n]\n```","example":["zcJWnyI8Tbam21V34K8MNA","93a19-cf7c-44437-b8c1-e9acbbb"],"isRequired":true,"uniqueKey":"data.rowIDs","typeLabel":"string[]"},"linkedAppIDs":{"type":"array","items":{"type":"string","uniqueKey":"data.linkedAppIDs.items.[INDEX]","typeLabel":"string"},"description":"An array of appIDs which were successfully linked.","uniqueKey":"data.linkedAppIDs","typeLabel":"string[]"}},"required":["tableID","rowIDs"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"tableID":"2a1bad8b-cf7c-44437-b8c1-e3782df6","rowIDs":["zcJWnyI8Tbam21V34K8MNA","93a19-cf7c-44437-b8c1-e9acbbb"],"linkedAppIDs":["\u003cstring>"]}}}},"exampleType":"generated"}},"exampleType":"generated"},"e4f29bdc-07ab-4722-8112-d563c177c8e5":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"tableID":{"type":"string","description":"ID of the table, e.g., `2a1bad8b-cf7c-44437-b8c1-e3782df6`","example":"2a1bad8b-cf7c-44437-b8c1-e3782df6","isRequired":true,"uniqueKey":"data.tableID","typeLabel":"string"},"jobID":{"type":"string","description":"The ID of the asynchronous job","isRequired":true,"uniqueKey":"data.jobID","typeLabel":"string"}},"required":["tableID","jobID"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"tableID":"2a1bad8b-cf7c-44437-b8c1-e3782df6","jobID":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"32632891-bc6c-4510-be88-7448051baabf":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"\u003cstring>","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"25135516-11a2-40ea-a9f1-23b796189644":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","enum":["payment_required"],"isRequired":true,"uniqueKey":"error.type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"payment_required","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"b73fa175-53bc-498b-8a4f-48de3f1768f3":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"type":{"type":"string","enum":["column_id_reserved","column_id_not_unique","column_has_invalid_value","column_id_not_found"],"isRequired":true,"uniqueKey":"error.type","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"}},"required":["type","message"],"additionalProperties":false,"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"type":"column_id_reserved","message":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"328590db-7bd8-408e-be5c-75e581b70302":{"BearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","scopes":[]}}},"servers":{"427470dc-1a39-4627-ac56-a1bc52cf9977":{"description":"Production","url":"https://api.glideapps.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form Bearer `\u003ctoken>`, where `\u003ctoken>` is your [auth token](/api-reference/v2/general/authentication).","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"openapi/swagger.json"},"subdomain":"glide","siteName":"Glide API Docs","title":"Create Table - Glide API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-22T00:34:37.111Z","originalFileLocation":"api-reference/v2/tables/post-tables.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a new Big Table\">\u003cmeta data-mint-head name=\"application-name\" content=\"Glide API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Table - Glide API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a new Big Table\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Glide API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://glide.mintlify.app/_mintlify/api/og/v2?division=Tables\u0026amp;title=Create+Table\u0026amp;description=Creates+a+new+Big+Table\u0026amp;theme=b74deb509ef937c24c639106\u0026amp;signature=8b180c2983910fd3a4ef4d020bd8518c4d48cd433ae5544dbbaa2877726ad672\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Table - Glide API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a new Big Table\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://glide.mintlify.app/_mintlify/api/og/v2?division=Tables\u0026amp;title=Create+Table\u0026amp;description=Creates+a+new+Big+Table\u0026amp;theme=b74deb509ef937c24c639106\u0026amp;signature=8b180c2983910fd3a4ef4d020bd8518c4d48cd433ae5544dbbaa2877726ad672\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/glide/6ZlBNQAQ94NZ_4cK/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Glide API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#18BED4\">\u003clink data-mint-head rel=\"canonical\" href=\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/v2/tables/post-tables.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://apidocs.glideapps.com/#organization\",\"name\":\"Glide API Docs\",\"url\":\"https://apidocs.glideapps.com\"},{\"@type\":\"WebSite\",\"@id\":\"https://apidocs.glideapps.com#website\",\"name\":\"Glide API Docs\",\"url\":\"https://apidocs.glideapps.com\",\"publisher\":{\"@id\":\"https://apidocs.glideapps.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables#webpage\",\"url\":\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables\",\"name\":\"Create Table\",\"description\":\"Creates a new Big Table\",\"dateModified\":\"2026-01-22T00:34:37.111Z\",\"isPartOf\":{\"@id\":\"https://apidocs.glideapps.com#website\"},\"breadcrumb\":{\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Tables\",\"item\":\"https://apidocs.glideapps.com/api-reference/v2/tables/versioning\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Table\",\"item\":\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables#apireference\",\"headline\":\"Create Table\",\"name\":\"Create Table\",\"description\":\"Creates a new Big Table\",\"url\":\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables\",\"mainEntityOfPage\":{\"@id\":\"https://apidocs.glideapps.com/api-reference/v2/tables/post-tables#webpage\"},\"dateModified\":\"2026-01-22T00:34:37.111Z\",\"publisher\":{\"@id\":\"https://apidocs.glideapps.com/#organization\"},\"isPartOf\":{\"@id\":\"https://apidocs.glideapps.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Glide API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Glide API Docs","nav":{"global":null,"groups":[{"group":"General","pages":[{"title":"Glide API v2.0","sidebarTitle":"Introduction","href":"/api-reference/v2/general/introduction"},{"title":"Authentication","href":"/api-reference/v2/general/authentication"},{"title":"Errors","href":"/api-reference/v2/general/errors"},{"title":"Limits","href":"/api-reference/v2/general/limits"}]},{"group":"Tables","pages":[{"title":"Data Versioning","href":"/api-reference/v2/tables/versioning"},{"title":"List Tables","openapi":"get /tables","href":"/api-reference/v2/tables/get-tables"},{"title":"Get Rows","openapi":"get /tables/{tableID}/rows","href":"/api-reference/v2/tables/get-table-rows"},{"title":"Get Row by ID","openapi":"get /tables/{tableID}/rows/{rowID}","href":"/api-reference/v2/tables/get-table-row"},{"title":"Get Rows Version","openapi":"head /tables/{tableID}/rows","description":null,"href":"/api-reference/v2/tables/head-table-rows"},{"title":"Create Table","openapi":"post /tables","href":"/api-reference/v2/tables/post-tables"},{"title":"Add Rows to Table","openapi":"post /tables/{tableID}/rows","description":"Adds rows to a Big Table","href":"/api-reference/v2/tables/post-table-rows"},{"title":"Overwrite Table","openapi":"put /tables/{tableID}","href":"/api-reference/v2/tables/put-tables"},{"title":"Update Row","openapi":"patch /tables/{tableID}/rows/{rowID}","href":"/api-reference/v2/tables/patch-table-row"},{"title":"Delete Row","openapi":"delete /tables/{tableID}/rows/{rowID}","href":"/api-reference/v2/tables/delete-table-row"}]},{"group":"Stashing","pages":[{"title":"Introduction","href":"/api-reference/v2/stashing/introduction"},{"title":"Stash Data","openapi":"put /stashes/{stashID}/{serial}","href":"/api-reference/v2/stashing/put-stashes-serial"},{"title":"Delete Stash","openapi":"delete /stashes/{stashID}","href":"/api-reference/v2/stashing/delete-stash"}]},{"group":"Jobs","pages":[{"title":"Get Job Status","openapi":"get /jobs/{jobID}","href":"/api-reference/v2/jobs/get-job"}]},{"group":"Uploads","pages":[{"title":"Create Upload","openapi":"post /apps/{appID}/uploads","href":"/api-reference/v2/uploads/post-apiapps-uploads"},{"title":"Complete Upload","openapi":"post /apps/{appID}/uploads/{uploadID}/complete","href":"/api-reference/v2/uploads/post-apiapps-uploads-uploadid-complete"}]},{"group":"Tutorials","pages":[{"title":"Bulk Import","href":"/api-reference/v2/tutorials/bulk-import"}]},{"group":"Resources","pages":[{"title":"Glide API Postman Collection","sidebarTitle":"Postman","href":"/api-reference/v2/resources/postman"},{"title":"Glide API Changelog","sidebarTitle":"Changelog","href":"/api-reference/v2/resources/changelog"}]}]},"title":"Create Table - Glide API Docs","buildId":"dpl_849ArpqvBiCczQiT1Y1stNGpbqHT","deploymentId":"dpl_849ArpqvBiCczQiT1Y1stNGpbqHT","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Bbp7I60D.js","utils-C3RIvJha.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DqD-vLt8.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B31Loprg.js","snippetPresets-DKpk-b8t.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Cj65AhOR.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BXtn5gcC.js","shallow-RY2b03Cp.js","getApiPlaygroundDisplay-B0jeiPk3.js","CodeSnippet-CYgBjjwn.js","CodeSnippets-DOngDrYB.js","Page-n7I5XbKb.js","getPastedJson-DRQbJx-T.js","icon-CQiQCicY.js","MethodPill-BKTLdNtu.js","DuplicateIcon-B9jpAdat.js","createIcon-DCddRrXv.js","DynamicMarkdown-a8hUKrw6.js","SectionHeading-eECVV2eH.js","axios-vUo_bRtp.js","Markdown--GF7ZIpf.js","clsx-DZLdJUrt.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-2LoAhjKH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Zwc0ZncM.js"]}